declare const _default: ({
    plugins: {
        readonly astro: import("eslint").ESLint.Plugin;
    };
    files?: undefined;
    languageOptions?: undefined;
    rules?: undefined;
    processor?: undefined;
} | {
    files: string[];
    languageOptions: {
        globals: {
            Astro: boolean;
            Fragment: boolean;
            __dirname: boolean;
            __filename: boolean;
            AbortController: boolean;
            AbortSignal: boolean;
            atob: boolean;
            Blob: boolean;
            BroadcastChannel: boolean;
            btoa: boolean;
            Buffer: boolean;
            ByteLengthQueuingStrategy: boolean;
            clearImmediate: boolean;
            clearInterval: boolean;
            clearTimeout: boolean;
            CompressionStream: boolean;
            console: boolean;
            CountQueuingStrategy: boolean;
            crypto: boolean;
            Crypto: boolean;
            CryptoKey: boolean;
            CustomEvent: boolean;
            DecompressionStream: boolean;
            DOMException: boolean;
            Event: boolean;
            EventTarget: boolean;
            exports: boolean;
            fetch: boolean;
            File: boolean;
            FormData: boolean;
            global: boolean;
            Headers: boolean;
            Intl: boolean;
            MessageChannel: boolean;
            MessageEvent: boolean;
            MessagePort: boolean;
            module: boolean;
            performance: boolean;
            PerformanceEntry: boolean;
            PerformanceMark: boolean;
            PerformanceMeasure: boolean;
            PerformanceObserver: boolean;
            PerformanceObserverEntryList: boolean;
            PerformanceResourceTiming: boolean;
            process: boolean;
            queueMicrotask: boolean;
            ReadableByteStreamController: boolean;
            ReadableStream: boolean;
            ReadableStreamBYOBReader: boolean;
            ReadableStreamBYOBRequest: boolean;
            ReadableStreamDefaultController: boolean;
            ReadableStreamDefaultReader: boolean;
            Request: boolean;
            require: boolean;
            Response: boolean;
            setImmediate: boolean;
            setInterval: boolean;
            setTimeout: boolean;
            structuredClone: boolean;
            SubtleCrypto: boolean;
            TextDecoder: boolean;
            TextDecoderStream: boolean;
            TextEncoder: boolean;
            TextEncoderStream: boolean;
            TransformStream: boolean;
            TransformStreamDefaultController: boolean;
            URL: boolean;
            URLSearchParams: boolean;
            WebAssembly: boolean;
            WritableStream: boolean;
            WritableStreamDefaultController: boolean;
            WritableStreamDefaultWriter: boolean;
        };
        parser: typeof import("astro-eslint-parser");
        sourceType: string;
        parserOptions: {
            parser: typeof import("@typescript-eslint/parser") | undefined;
            extraFileExtensions: string[];
            project?: undefined;
        };
    };
    rules: {
        "prettier/prettier"?: undefined;
    };
    processor: string;
    plugins?: undefined;
} | {
    files: string[];
    languageOptions: {
        globals: {
            AbortController: boolean;
            AbortSignal: boolean;
            addEventListener: boolean;
            alert: boolean;
            AnalyserNode: boolean;
            Animation: boolean;
            AnimationEffectReadOnly: boolean;
            AnimationEffectTiming: boolean;
            AnimationEffectTimingReadOnly: boolean;
            AnimationEvent: boolean;
            AnimationPlaybackEvent: boolean;
            AnimationTimeline: boolean;
            applicationCache: boolean;
            ApplicationCache: boolean;
            ApplicationCacheErrorEvent: boolean;
            atob: boolean;
            Attr: boolean;
            Audio: boolean;
            AudioBuffer: boolean;
            AudioBufferSourceNode: boolean;
            AudioContext: boolean;
            AudioDestinationNode: boolean;
            AudioListener: boolean;
            AudioNode: boolean;
            AudioParam: boolean;
            AudioProcessingEvent: boolean;
            AudioScheduledSourceNode: boolean;
            AudioWorkletGlobalScope: boolean;
            AudioWorkletNode: boolean;
            AudioWorkletProcessor: boolean;
            BarProp: boolean;
            BaseAudioContext: boolean;
            BatteryManager: boolean;
            BeforeUnloadEvent: boolean;
            BiquadFilterNode: boolean;
            Blob: boolean;
            BlobEvent: boolean;
            blur: boolean;
            BroadcastChannel: boolean;
            btoa: boolean;
            BudgetService: boolean;
            ByteLengthQueuingStrategy: boolean;
            Cache: boolean;
            caches: boolean;
            CacheStorage: boolean;
            cancelAnimationFrame: boolean;
            cancelIdleCallback: boolean;
            CanvasCaptureMediaStreamTrack: boolean;
            CanvasGradient: boolean;
            CanvasPattern: boolean;
            CanvasRenderingContext2D: boolean;
            ChannelMergerNode: boolean;
            ChannelSplitterNode: boolean;
            CharacterData: boolean;
            clearInterval: boolean;
            clearTimeout: boolean;
            clientInformation: boolean;
            ClipboardEvent: boolean;
            ClipboardItem: boolean;
            close: boolean;
            closed: boolean;
            CloseEvent: boolean;
            Comment: boolean;
            CompositionEvent: boolean;
            CompressionStream: boolean;
            confirm: boolean;
            console: boolean;
            ConstantSourceNode: boolean;
            ConvolverNode: boolean;
            CountQueuingStrategy: boolean;
            createImageBitmap: boolean;
            Credential: boolean;
            CredentialsContainer: boolean;
            crypto: boolean;
            Crypto: boolean;
            CryptoKey: boolean;
            CSS: boolean;
            CSSConditionRule: boolean;
            CSSFontFaceRule: boolean;
            CSSGroupingRule: boolean;
            CSSImportRule: boolean;
            CSSKeyframeRule: boolean;
            CSSKeyframesRule: boolean;
            CSSMatrixComponent: boolean;
            CSSMediaRule: boolean;
            CSSNamespaceRule: boolean;
            CSSPageRule: boolean;
            CSSPerspective: boolean;
            CSSRotate: boolean;
            CSSRule: boolean;
            CSSRuleList: boolean;
            CSSScale: boolean;
            CSSSkew: boolean;
            CSSSkewX: boolean;
            CSSSkewY: boolean;
            CSSStyleDeclaration: boolean;
            CSSStyleRule: boolean;
            CSSStyleSheet: boolean;
            CSSSupportsRule: boolean;
            CSSTransformValue: boolean;
            CSSTranslate: boolean;
            CustomElementRegistry: boolean;
            customElements: boolean;
            CustomEvent: boolean;
            DataTransfer: boolean;
            DataTransferItem: boolean;
            DataTransferItemList: boolean;
            DecompressionStream: boolean;
            defaultstatus: boolean;
            defaultStatus: boolean;
            DelayNode: boolean;
            DeviceMotionEvent: boolean;
            DeviceOrientationEvent: boolean;
            devicePixelRatio: boolean;
            dispatchEvent: boolean;
            document: boolean;
            Document: boolean;
            DocumentFragment: boolean;
            DocumentType: boolean;
            DOMError: boolean;
            DOMException: boolean;
            DOMImplementation: boolean;
            DOMMatrix: boolean;
            DOMMatrixReadOnly: boolean;
            DOMParser: boolean;
            DOMPoint: boolean;
            DOMPointReadOnly: boolean;
            DOMQuad: boolean;
            DOMRect: boolean;
            DOMRectList: boolean;
            DOMRectReadOnly: boolean;
            DOMStringList: boolean;
            DOMStringMap: boolean;
            DOMTokenList: boolean;
            DragEvent: boolean;
            DynamicsCompressorNode: boolean;
            Element: boolean;
            ErrorEvent: boolean;
            event: boolean;
            Event: boolean;
            EventSource: boolean;
            EventTarget: boolean;
            external: boolean;
            fetch: boolean;
            File: boolean;
            FileList: boolean;
            FileReader: boolean;
            find: boolean;
            focus: boolean;
            FocusEvent: boolean;
            FontFace: boolean;
            FontFaceSetLoadEvent: boolean;
            FormData: boolean;
            FormDataEvent: boolean;
            frameElement: boolean;
            frames: boolean;
            GainNode: boolean;
            Gamepad: boolean;
            GamepadButton: boolean;
            GamepadEvent: boolean;
            getComputedStyle: boolean;
            getSelection: boolean;
            HashChangeEvent: boolean;
            Headers: boolean;
            history: boolean;
            History: boolean;
            HTMLAllCollection: boolean;
            HTMLAnchorElement: boolean;
            HTMLAreaElement: boolean;
            HTMLAudioElement: boolean;
            HTMLBaseElement: boolean;
            HTMLBodyElement: boolean;
            HTMLBRElement: boolean;
            HTMLButtonElement: boolean;
            HTMLCanvasElement: boolean;
            HTMLCollection: boolean;
            HTMLContentElement: boolean;
            HTMLDataElement: boolean;
            HTMLDataListElement: boolean;
            HTMLDetailsElement: boolean;
            HTMLDialogElement: boolean;
            HTMLDirectoryElement: boolean;
            HTMLDivElement: boolean;
            HTMLDListElement: boolean;
            HTMLDocument: boolean;
            HTMLElement: boolean;
            HTMLEmbedElement: boolean;
            HTMLFieldSetElement: boolean;
            HTMLFontElement: boolean;
            HTMLFormControlsCollection: boolean;
            HTMLFormElement: boolean;
            HTMLFrameElement: boolean;
            HTMLFrameSetElement: boolean;
            HTMLHeadElement: boolean;
            HTMLHeadingElement: boolean;
            HTMLHRElement: boolean;
            HTMLHtmlElement: boolean;
            HTMLIFrameElement: boolean;
            HTMLImageElement: boolean;
            HTMLInputElement: boolean;
            HTMLLabelElement: boolean;
            HTMLLegendElement: boolean;
            HTMLLIElement: boolean;
            HTMLLinkElement: boolean;
            HTMLMapElement: boolean;
            HTMLMarqueeElement: boolean;
            HTMLMediaElement: boolean;
            HTMLMenuElement: boolean;
            HTMLMetaElement: boolean;
            HTMLMeterElement: boolean;
            HTMLModElement: boolean;
            HTMLObjectElement: boolean;
            HTMLOListElement: boolean;
            HTMLOptGroupElement: boolean;
            HTMLOptionElement: boolean;
            HTMLOptionsCollection: boolean;
            HTMLOutputElement: boolean;
            HTMLParagraphElement: boolean;
            HTMLParamElement: boolean;
            HTMLPictureElement: boolean;
            HTMLPreElement: boolean;
            HTMLProgressElement: boolean;
            HTMLQuoteElement: boolean;
            HTMLScriptElement: boolean;
            HTMLSelectElement: boolean;
            HTMLShadowElement: boolean;
            HTMLSlotElement: boolean;
            HTMLSourceElement: boolean;
            HTMLSpanElement: boolean;
            HTMLStyleElement: boolean;
            HTMLTableCaptionElement: boolean;
            HTMLTableCellElement: boolean;
            HTMLTableColElement: boolean;
            HTMLTableElement: boolean;
            HTMLTableRowElement: boolean;
            HTMLTableSectionElement: boolean;
            HTMLTemplateElement: boolean;
            HTMLTextAreaElement: boolean;
            HTMLTimeElement: boolean;
            HTMLTitleElement: boolean;
            HTMLTrackElement: boolean;
            HTMLUListElement: boolean;
            HTMLUnknownElement: boolean;
            HTMLVideoElement: boolean;
            IDBCursor: boolean;
            IDBCursorWithValue: boolean;
            IDBDatabase: boolean;
            IDBFactory: boolean;
            IDBIndex: boolean;
            IDBKeyRange: boolean;
            IDBObjectStore: boolean;
            IDBOpenDBRequest: boolean;
            IDBRequest: boolean;
            IDBTransaction: boolean;
            IDBVersionChangeEvent: boolean;
            IdleDeadline: boolean;
            IIRFilterNode: boolean;
            Image: boolean;
            ImageBitmap: boolean;
            ImageBitmapRenderingContext: boolean;
            ImageCapture: boolean;
            ImageData: boolean;
            indexedDB: boolean;
            innerHeight: boolean;
            innerWidth: boolean;
            InputEvent: boolean;
            IntersectionObserver: boolean;
            IntersectionObserverEntry: boolean;
            Intl: boolean;
            isSecureContext: boolean;
            KeyboardEvent: boolean;
            KeyframeEffect: boolean;
            KeyframeEffectReadOnly: boolean;
            length: boolean;
            localStorage: boolean;
            location: boolean;
            Location: boolean;
            locationbar: boolean;
            matchMedia: boolean;
            MediaDeviceInfo: boolean;
            MediaDevices: boolean;
            MediaElementAudioSourceNode: boolean;
            MediaEncryptedEvent: boolean;
            MediaError: boolean;
            MediaKeyMessageEvent: boolean;
            MediaKeySession: boolean;
            MediaKeyStatusMap: boolean;
            MediaKeySystemAccess: boolean;
            MediaList: boolean;
            MediaMetadata: boolean;
            MediaQueryList: boolean;
            MediaQueryListEvent: boolean;
            MediaRecorder: boolean;
            MediaSettingsRange: boolean;
            MediaSource: boolean;
            MediaStream: boolean;
            MediaStreamAudioDestinationNode: boolean;
            MediaStreamAudioSourceNode: boolean;
            MediaStreamConstraints: boolean;
            MediaStreamEvent: boolean;
            MediaStreamTrack: boolean;
            MediaStreamTrackEvent: boolean;
            menubar: boolean;
            MessageChannel: boolean;
            MessageEvent: boolean;
            MessagePort: boolean;
            MIDIAccess: boolean;
            MIDIConnectionEvent: boolean;
            MIDIInput: boolean;
            MIDIInputMap: boolean;
            MIDIMessageEvent: boolean;
            MIDIOutput: boolean;
            MIDIOutputMap: boolean;
            MIDIPort: boolean;
            MimeType: boolean;
            MimeTypeArray: boolean;
            MouseEvent: boolean;
            moveBy: boolean;
            moveTo: boolean;
            MutationEvent: boolean;
            MutationObserver: boolean;
            MutationRecord: boolean;
            name: boolean;
            NamedNodeMap: boolean;
            NavigationPreloadManager: boolean;
            navigator: boolean;
            Navigator: boolean;
            NavigatorUAData: boolean;
            NetworkInformation: boolean;
            Node: boolean;
            NodeFilter: boolean;
            NodeIterator: boolean;
            NodeList: boolean;
            Notification: boolean;
            OfflineAudioCompletionEvent: boolean;
            OfflineAudioContext: boolean;
            offscreenBuffering: boolean;
            OffscreenCanvas: boolean;
            OffscreenCanvasRenderingContext2D: boolean;
            onabort: boolean;
            onafterprint: boolean;
            onanimationend: boolean;
            onanimationiteration: boolean;
            onanimationstart: boolean;
            onappinstalled: boolean;
            onauxclick: boolean;
            onbeforeinstallprompt: boolean;
            onbeforeprint: boolean;
            onbeforeunload: boolean;
            onblur: boolean;
            oncancel: boolean;
            oncanplay: boolean;
            oncanplaythrough: boolean;
            onchange: boolean;
            onclick: boolean;
            onclose: boolean;
            oncontextmenu: boolean;
            oncuechange: boolean;
            ondblclick: boolean;
            ondevicemotion: boolean;
            ondeviceorientation: boolean;
            ondeviceorientationabsolute: boolean;
            ondrag: boolean;
            ondragend: boolean;
            ondragenter: boolean;
            ondragleave: boolean;
            ondragover: boolean;
            ondragstart: boolean;
            ondrop: boolean;
            ondurationchange: boolean;
            onemptied: boolean;
            onended: boolean;
            onerror: boolean;
            onfocus: boolean;
            ongotpointercapture: boolean;
            onhashchange: boolean;
            oninput: boolean;
            oninvalid: boolean;
            onkeydown: boolean;
            onkeypress: boolean;
            onkeyup: boolean;
            onlanguagechange: boolean;
            onload: boolean;
            onloadeddata: boolean;
            onloadedmetadata: boolean;
            onloadstart: boolean;
            onlostpointercapture: boolean;
            onmessage: boolean;
            onmessageerror: boolean;
            onmousedown: boolean;
            onmouseenter: boolean;
            onmouseleave: boolean;
            onmousemove: boolean;
            onmouseout: boolean;
            onmouseover: boolean;
            onmouseup: boolean;
            onmousewheel: boolean;
            onoffline: boolean;
            ononline: boolean;
            onpagehide: boolean;
            onpageshow: boolean;
            onpause: boolean;
            onplay: boolean;
            onplaying: boolean;
            onpointercancel: boolean;
            onpointerdown: boolean;
            onpointerenter: boolean;
            onpointerleave: boolean;
            onpointermove: boolean;
            onpointerout: boolean;
            onpointerover: boolean;
            onpointerup: boolean;
            onpopstate: boolean;
            onprogress: boolean;
            onratechange: boolean;
            onrejectionhandled: boolean;
            onreset: boolean;
            onresize: boolean;
            onscroll: boolean;
            onsearch: boolean;
            onseeked: boolean;
            onseeking: boolean;
            onselect: boolean;
            onstalled: boolean;
            onstorage: boolean;
            onsubmit: boolean;
            onsuspend: boolean;
            ontimeupdate: boolean;
            ontoggle: boolean;
            ontransitionend: boolean;
            onunhandledrejection: boolean;
            onunload: boolean;
            onvolumechange: boolean;
            onwaiting: boolean;
            onwheel: boolean;
            open: boolean;
            openDatabase: boolean;
            opener: boolean;
            Option: boolean;
            origin: boolean;
            OscillatorNode: boolean;
            outerHeight: boolean;
            outerWidth: boolean;
            OverconstrainedError: boolean;
            PageTransitionEvent: boolean;
            pageXOffset: boolean;
            pageYOffset: boolean;
            PannerNode: boolean;
            parent: boolean;
            Path2D: boolean;
            PaymentAddress: boolean;
            PaymentRequest: boolean;
            PaymentRequestUpdateEvent: boolean;
            PaymentResponse: boolean;
            performance: boolean;
            Performance: boolean;
            PerformanceEntry: boolean;
            PerformanceLongTaskTiming: boolean;
            PerformanceMark: boolean;
            PerformanceMeasure: boolean;
            PerformanceNavigation: boolean;
            PerformanceNavigationTiming: boolean;
            PerformanceObserver: boolean;
            PerformanceObserverEntryList: boolean;
            PerformancePaintTiming: boolean;
            PerformanceResourceTiming: boolean;
            PerformanceTiming: boolean;
            PeriodicWave: boolean;
            Permissions: boolean;
            PermissionStatus: boolean;
            personalbar: boolean;
            PhotoCapabilities: boolean;
            Plugin: boolean;
            PluginArray: boolean;
            PointerEvent: boolean;
            PopStateEvent: boolean;
            postMessage: boolean;
            Presentation: boolean;
            PresentationAvailability: boolean;
            PresentationConnection: boolean;
            PresentationConnectionAvailableEvent: boolean;
            PresentationConnectionCloseEvent: boolean;
            PresentationConnectionList: boolean;
            PresentationReceiver: boolean;
            PresentationRequest: boolean;
            print: boolean;
            ProcessingInstruction: boolean;
            ProgressEvent: boolean;
            PromiseRejectionEvent: boolean;
            prompt: boolean;
            PushManager: boolean;
            PushSubscription: boolean;
            PushSubscriptionOptions: boolean;
            queueMicrotask: boolean;
            RadioNodeList: boolean;
            Range: boolean;
            ReadableByteStreamController: boolean;
            ReadableStream: boolean;
            ReadableStreamBYOBReader: boolean;
            ReadableStreamBYOBRequest: boolean;
            ReadableStreamDefaultController: boolean;
            ReadableStreamDefaultReader: boolean;
            registerProcessor: boolean;
            RemotePlayback: boolean;
            removeEventListener: boolean;
            reportError: boolean;
            Request: boolean;
            requestAnimationFrame: boolean;
            requestIdleCallback: boolean;
            resizeBy: boolean;
            ResizeObserver: boolean;
            ResizeObserverEntry: boolean;
            resizeTo: boolean;
            Response: boolean;
            RTCCertificate: boolean;
            RTCDataChannel: boolean;
            RTCDataChannelEvent: boolean;
            RTCDtlsTransport: boolean;
            RTCIceCandidate: boolean;
            RTCIceGatherer: boolean;
            RTCIceTransport: boolean;
            RTCPeerConnection: boolean;
            RTCPeerConnectionIceEvent: boolean;
            RTCRtpContributingSource: boolean;
            RTCRtpReceiver: boolean;
            RTCRtpSender: boolean;
            RTCSctpTransport: boolean;
            RTCSessionDescription: boolean;
            RTCStatsReport: boolean;
            RTCTrackEvent: boolean;
            screen: boolean;
            Screen: boolean;
            screenLeft: boolean;
            ScreenOrientation: boolean;
            screenTop: boolean;
            screenX: boolean;
            screenY: boolean;
            ScriptProcessorNode: boolean;
            scroll: boolean;
            scrollbars: boolean;
            scrollBy: boolean;
            scrollTo: boolean;
            scrollX: boolean;
            scrollY: boolean;
            SecurityPolicyViolationEvent: boolean;
            Selection: boolean;
            self: boolean;
            ServiceWorker: boolean;
            ServiceWorkerContainer: boolean;
            ServiceWorkerRegistration: boolean;
            sessionStorage: boolean;
            setInterval: boolean;
            setTimeout: boolean;
            ShadowRoot: boolean;
            SharedWorker: boolean;
            SourceBuffer: boolean;
            SourceBufferList: boolean;
            speechSynthesis: boolean;
            SpeechSynthesisEvent: boolean;
            SpeechSynthesisUtterance: boolean;
            StaticRange: boolean;
            status: boolean;
            statusbar: boolean;
            StereoPannerNode: boolean;
            stop: boolean;
            Storage: boolean;
            StorageEvent: boolean;
            StorageManager: boolean;
            structuredClone: boolean;
            styleMedia: boolean;
            StyleSheet: boolean;
            StyleSheetList: boolean;
            SubmitEvent: boolean;
            SubtleCrypto: boolean;
            SVGAElement: boolean;
            SVGAngle: boolean;
            SVGAnimatedAngle: boolean;
            SVGAnimatedBoolean: boolean;
            SVGAnimatedEnumeration: boolean;
            SVGAnimatedInteger: boolean;
            SVGAnimatedLength: boolean;
            SVGAnimatedLengthList: boolean;
            SVGAnimatedNumber: boolean;
            SVGAnimatedNumberList: boolean;
            SVGAnimatedPreserveAspectRatio: boolean;
            SVGAnimatedRect: boolean;
            SVGAnimatedString: boolean;
            SVGAnimatedTransformList: boolean;
            SVGAnimateElement: boolean;
            SVGAnimateMotionElement: boolean;
            SVGAnimateTransformElement: boolean;
            SVGAnimationElement: boolean;
            SVGCircleElement: boolean;
            SVGClipPathElement: boolean;
            SVGComponentTransferFunctionElement: boolean;
            SVGDefsElement: boolean;
            SVGDescElement: boolean;
            SVGDiscardElement: boolean;
            SVGElement: boolean;
            SVGEllipseElement: boolean;
            SVGFEBlendElement: boolean;
            SVGFEColorMatrixElement: boolean;
            SVGFEComponentTransferElement: boolean;
            SVGFECompositeElement: boolean;
            SVGFEConvolveMatrixElement: boolean;
            SVGFEDiffuseLightingElement: boolean;
            SVGFEDisplacementMapElement: boolean;
            SVGFEDistantLightElement: boolean;
            SVGFEDropShadowElement: boolean;
            SVGFEFloodElement: boolean;
            SVGFEFuncAElement: boolean;
            SVGFEFuncBElement: boolean;
            SVGFEFuncGElement: boolean;
            SVGFEFuncRElement: boolean;
            SVGFEGaussianBlurElement: boolean;
            SVGFEImageElement: boolean;
            SVGFEMergeElement: boolean;
            SVGFEMergeNodeElement: boolean;
            SVGFEMorphologyElement: boolean;
            SVGFEOffsetElement: boolean;
            SVGFEPointLightElement: boolean;
            SVGFESpecularLightingElement: boolean;
            SVGFESpotLightElement: boolean;
            SVGFETileElement: boolean;
            SVGFETurbulenceElement: boolean;
            SVGFilterElement: boolean;
            SVGForeignObjectElement: boolean;
            SVGGElement: boolean;
            SVGGeometryElement: boolean;
            SVGGradientElement: boolean;
            SVGGraphicsElement: boolean;
            SVGImageElement: boolean;
            SVGLength: boolean;
            SVGLengthList: boolean;
            SVGLinearGradientElement: boolean;
            SVGLineElement: boolean;
            SVGMarkerElement: boolean;
            SVGMaskElement: boolean;
            SVGMatrix: boolean;
            SVGMetadataElement: boolean;
            SVGMPathElement: boolean;
            SVGNumber: boolean;
            SVGNumberList: boolean;
            SVGPathElement: boolean;
            SVGPatternElement: boolean;
            SVGPoint: boolean;
            SVGPointList: boolean;
            SVGPolygonElement: boolean;
            SVGPolylineElement: boolean;
            SVGPreserveAspectRatio: boolean;
            SVGRadialGradientElement: boolean;
            SVGRect: boolean;
            SVGRectElement: boolean;
            SVGScriptElement: boolean;
            SVGSetElement: boolean;
            SVGStopElement: boolean;
            SVGStringList: boolean;
            SVGStyleElement: boolean;
            SVGSVGElement: boolean;
            SVGSwitchElement: boolean;
            SVGSymbolElement: boolean;
            SVGTextContentElement: boolean;
            SVGTextElement: boolean;
            SVGTextPathElement: boolean;
            SVGTextPositioningElement: boolean;
            SVGTitleElement: boolean;
            SVGTransform: boolean;
            SVGTransformList: boolean;
            SVGTSpanElement: boolean;
            SVGUnitTypes: boolean;
            SVGUseElement: boolean;
            SVGViewElement: boolean;
            TaskAttributionTiming: boolean;
            Text: boolean;
            TextDecoder: boolean;
            TextDecoderStream: boolean;
            TextEncoder: boolean;
            TextEncoderStream: boolean;
            TextEvent: boolean;
            TextMetrics: boolean;
            TextTrack: boolean;
            TextTrackCue: boolean;
            TextTrackCueList: boolean;
            TextTrackList: boolean;
            TimeRanges: boolean;
            ToggleEvent: boolean;
            toolbar: boolean;
            top: boolean;
            Touch: boolean;
            TouchEvent: boolean;
            TouchList: boolean;
            TrackEvent: boolean;
            TransformStream: boolean;
            TransformStreamDefaultController: boolean;
            TransitionEvent: boolean;
            TreeWalker: boolean;
            UIEvent: boolean;
            URL: boolean;
            URLSearchParams: boolean;
            ValidityState: boolean;
            visualViewport: boolean;
            VisualViewport: boolean;
            VTTCue: boolean;
            WaveShaperNode: boolean;
            WebAssembly: boolean;
            WebGL2RenderingContext: boolean;
            WebGLActiveInfo: boolean;
            WebGLBuffer: boolean;
            WebGLContextEvent: boolean;
            WebGLFramebuffer: boolean;
            WebGLProgram: boolean;
            WebGLQuery: boolean;
            WebGLRenderbuffer: boolean;
            WebGLRenderingContext: boolean;
            WebGLSampler: boolean;
            WebGLShader: boolean;
            WebGLShaderPrecisionFormat: boolean;
            WebGLSync: boolean;
            WebGLTexture: boolean;
            WebGLTransformFeedback: boolean;
            WebGLUniformLocation: boolean;
            WebGLVertexArrayObject: boolean;
            WebSocket: boolean;
            WheelEvent: boolean;
            window: boolean;
            Window: boolean;
            Worker: boolean;
            WritableStream: boolean;
            WritableStreamDefaultController: boolean;
            WritableStreamDefaultWriter: boolean;
            XMLDocument: boolean;
            XMLHttpRequest: boolean;
            XMLHttpRequestEventTarget: boolean;
            XMLHttpRequestUpload: boolean;
            XMLSerializer: boolean;
            XPathEvaluator: boolean;
            XPathExpression: boolean;
            XPathResult: boolean;
            XRAnchor: boolean;
            XRBoundedReferenceSpace: boolean;
            XRCPUDepthInformation: boolean;
            XRDepthInformation: boolean;
            XRFrame: boolean;
            XRInputSource: boolean;
            XRInputSourceArray: boolean;
            XRInputSourceEvent: boolean;
            XRInputSourcesChangeEvent: boolean;
            XRPose: boolean;
            XRReferenceSpace: boolean;
            XRReferenceSpaceEvent: boolean;
            XRRenderState: boolean;
            XRRigidTransform: boolean;
            XRSession: boolean;
            XRSessionEvent: boolean;
            XRSpace: boolean;
            XRSystem: boolean;
            XRView: boolean;
            XRViewerPose: boolean;
            XRViewport: boolean;
            XRWebGLBinding: boolean;
            XRWebGLDepthInformation: boolean;
            XRWebGLLayer: boolean;
            XSLTProcessor: boolean;
        };
        sourceType: string;
        parser?: undefined;
        parserOptions?: undefined;
    };
    rules: {
        "prettier/prettier": string;
    };
    plugins?: undefined;
    processor?: undefined;
} | {
    files: string[];
    languageOptions: {
        globals: {
            AbortController: boolean;
            AbortSignal: boolean;
            addEventListener: boolean;
            alert: boolean;
            AnalyserNode: boolean;
            Animation: boolean;
            AnimationEffectReadOnly: boolean;
            AnimationEffectTiming: boolean;
            AnimationEffectTimingReadOnly: boolean;
            AnimationEvent: boolean;
            AnimationPlaybackEvent: boolean;
            AnimationTimeline: boolean;
            applicationCache: boolean;
            ApplicationCache: boolean;
            ApplicationCacheErrorEvent: boolean;
            atob: boolean;
            Attr: boolean;
            Audio: boolean;
            AudioBuffer: boolean;
            AudioBufferSourceNode: boolean;
            AudioContext: boolean;
            AudioDestinationNode: boolean;
            AudioListener: boolean;
            AudioNode: boolean;
            AudioParam: boolean;
            AudioProcessingEvent: boolean;
            AudioScheduledSourceNode: boolean;
            AudioWorkletGlobalScope: boolean;
            AudioWorkletNode: boolean;
            AudioWorkletProcessor: boolean;
            BarProp: boolean;
            BaseAudioContext: boolean;
            BatteryManager: boolean;
            BeforeUnloadEvent: boolean;
            BiquadFilterNode: boolean;
            Blob: boolean;
            BlobEvent: boolean;
            blur: boolean;
            BroadcastChannel: boolean;
            btoa: boolean;
            BudgetService: boolean;
            ByteLengthQueuingStrategy: boolean;
            Cache: boolean;
            caches: boolean;
            CacheStorage: boolean;
            cancelAnimationFrame: boolean;
            cancelIdleCallback: boolean;
            CanvasCaptureMediaStreamTrack: boolean;
            CanvasGradient: boolean;
            CanvasPattern: boolean;
            CanvasRenderingContext2D: boolean;
            ChannelMergerNode: boolean;
            ChannelSplitterNode: boolean;
            CharacterData: boolean;
            clearInterval: boolean;
            clearTimeout: boolean;
            clientInformation: boolean;
            ClipboardEvent: boolean;
            ClipboardItem: boolean;
            close: boolean;
            closed: boolean;
            CloseEvent: boolean;
            Comment: boolean;
            CompositionEvent: boolean;
            CompressionStream: boolean;
            confirm: boolean;
            console: boolean;
            ConstantSourceNode: boolean;
            ConvolverNode: boolean;
            CountQueuingStrategy: boolean;
            createImageBitmap: boolean;
            Credential: boolean;
            CredentialsContainer: boolean;
            crypto: boolean;
            Crypto: boolean;
            CryptoKey: boolean;
            CSS: boolean;
            CSSConditionRule: boolean;
            CSSFontFaceRule: boolean;
            CSSGroupingRule: boolean;
            CSSImportRule: boolean;
            CSSKeyframeRule: boolean;
            CSSKeyframesRule: boolean;
            CSSMatrixComponent: boolean;
            CSSMediaRule: boolean;
            CSSNamespaceRule: boolean;
            CSSPageRule: boolean;
            CSSPerspective: boolean;
            CSSRotate: boolean;
            CSSRule: boolean;
            CSSRuleList: boolean;
            CSSScale: boolean;
            CSSSkew: boolean;
            CSSSkewX: boolean;
            CSSSkewY: boolean;
            CSSStyleDeclaration: boolean;
            CSSStyleRule: boolean;
            CSSStyleSheet: boolean;
            CSSSupportsRule: boolean;
            CSSTransformValue: boolean;
            CSSTranslate: boolean;
            CustomElementRegistry: boolean;
            customElements: boolean;
            CustomEvent: boolean;
            DataTransfer: boolean;
            DataTransferItem: boolean;
            DataTransferItemList: boolean;
            DecompressionStream: boolean;
            defaultstatus: boolean;
            defaultStatus: boolean;
            DelayNode: boolean;
            DeviceMotionEvent: boolean;
            DeviceOrientationEvent: boolean;
            devicePixelRatio: boolean;
            dispatchEvent: boolean;
            document: boolean;
            Document: boolean;
            DocumentFragment: boolean;
            DocumentType: boolean;
            DOMError: boolean;
            DOMException: boolean;
            DOMImplementation: boolean;
            DOMMatrix: boolean;
            DOMMatrixReadOnly: boolean;
            DOMParser: boolean;
            DOMPoint: boolean;
            DOMPointReadOnly: boolean;
            DOMQuad: boolean;
            DOMRect: boolean;
            DOMRectList: boolean;
            DOMRectReadOnly: boolean;
            DOMStringList: boolean;
            DOMStringMap: boolean;
            DOMTokenList: boolean;
            DragEvent: boolean;
            DynamicsCompressorNode: boolean;
            Element: boolean;
            ErrorEvent: boolean;
            event: boolean;
            Event: boolean;
            EventSource: boolean;
            EventTarget: boolean;
            external: boolean;
            fetch: boolean;
            File: boolean;
            FileList: boolean;
            FileReader: boolean;
            find: boolean;
            focus: boolean;
            FocusEvent: boolean;
            FontFace: boolean;
            FontFaceSetLoadEvent: boolean;
            FormData: boolean;
            FormDataEvent: boolean;
            frameElement: boolean;
            frames: boolean;
            GainNode: boolean;
            Gamepad: boolean;
            GamepadButton: boolean;
            GamepadEvent: boolean;
            getComputedStyle: boolean;
            getSelection: boolean;
            HashChangeEvent: boolean;
            Headers: boolean;
            history: boolean;
            History: boolean;
            HTMLAllCollection: boolean;
            HTMLAnchorElement: boolean;
            HTMLAreaElement: boolean;
            HTMLAudioElement: boolean;
            HTMLBaseElement: boolean;
            HTMLBodyElement: boolean;
            HTMLBRElement: boolean;
            HTMLButtonElement: boolean;
            HTMLCanvasElement: boolean;
            HTMLCollection: boolean;
            HTMLContentElement: boolean;
            HTMLDataElement: boolean;
            HTMLDataListElement: boolean;
            HTMLDetailsElement: boolean;
            HTMLDialogElement: boolean;
            HTMLDirectoryElement: boolean;
            HTMLDivElement: boolean;
            HTMLDListElement: boolean;
            HTMLDocument: boolean;
            HTMLElement: boolean;
            HTMLEmbedElement: boolean;
            HTMLFieldSetElement: boolean;
            HTMLFontElement: boolean;
            HTMLFormControlsCollection: boolean;
            HTMLFormElement: boolean;
            HTMLFrameElement: boolean;
            HTMLFrameSetElement: boolean;
            HTMLHeadElement: boolean;
            HTMLHeadingElement: boolean;
            HTMLHRElement: boolean;
            HTMLHtmlElement: boolean;
            HTMLIFrameElement: boolean;
            HTMLImageElement: boolean;
            HTMLInputElement: boolean;
            HTMLLabelElement: boolean;
            HTMLLegendElement: boolean;
            HTMLLIElement: boolean;
            HTMLLinkElement: boolean;
            HTMLMapElement: boolean;
            HTMLMarqueeElement: boolean;
            HTMLMediaElement: boolean;
            HTMLMenuElement: boolean;
            HTMLMetaElement: boolean;
            HTMLMeterElement: boolean;
            HTMLModElement: boolean;
            HTMLObjectElement: boolean;
            HTMLOListElement: boolean;
            HTMLOptGroupElement: boolean;
            HTMLOptionElement: boolean;
            HTMLOptionsCollection: boolean;
            HTMLOutputElement: boolean;
            HTMLParagraphElement: boolean;
            HTMLParamElement: boolean;
            HTMLPictureElement: boolean;
            HTMLPreElement: boolean;
            HTMLProgressElement: boolean;
            HTMLQuoteElement: boolean;
            HTMLScriptElement: boolean;
            HTMLSelectElement: boolean;
            HTMLShadowElement: boolean;
            HTMLSlotElement: boolean;
            HTMLSourceElement: boolean;
            HTMLSpanElement: boolean;
            HTMLStyleElement: boolean;
            HTMLTableCaptionElement: boolean;
            HTMLTableCellElement: boolean;
            HTMLTableColElement: boolean;
            HTMLTableElement: boolean;
            HTMLTableRowElement: boolean;
            HTMLTableSectionElement: boolean;
            HTMLTemplateElement: boolean;
            HTMLTextAreaElement: boolean;
            HTMLTimeElement: boolean;
            HTMLTitleElement: boolean;
            HTMLTrackElement: boolean;
            HTMLUListElement: boolean;
            HTMLUnknownElement: boolean;
            HTMLVideoElement: boolean;
            IDBCursor: boolean;
            IDBCursorWithValue: boolean;
            IDBDatabase: boolean;
            IDBFactory: boolean;
            IDBIndex: boolean;
            IDBKeyRange: boolean;
            IDBObjectStore: boolean;
            IDBOpenDBRequest: boolean;
            IDBRequest: boolean;
            IDBTransaction: boolean;
            IDBVersionChangeEvent: boolean;
            IdleDeadline: boolean;
            IIRFilterNode: boolean;
            Image: boolean;
            ImageBitmap: boolean;
            ImageBitmapRenderingContext: boolean;
            ImageCapture: boolean;
            ImageData: boolean;
            indexedDB: boolean;
            innerHeight: boolean;
            innerWidth: boolean;
            InputEvent: boolean;
            IntersectionObserver: boolean;
            IntersectionObserverEntry: boolean;
            Intl: boolean;
            isSecureContext: boolean;
            KeyboardEvent: boolean;
            KeyframeEffect: boolean;
            KeyframeEffectReadOnly: boolean;
            length: boolean;
            localStorage: boolean;
            location: boolean;
            Location: boolean;
            locationbar: boolean;
            matchMedia: boolean;
            MediaDeviceInfo: boolean;
            MediaDevices: boolean;
            MediaElementAudioSourceNode: boolean;
            MediaEncryptedEvent: boolean;
            MediaError: boolean;
            MediaKeyMessageEvent: boolean;
            MediaKeySession: boolean;
            MediaKeyStatusMap: boolean;
            MediaKeySystemAccess: boolean;
            MediaList: boolean;
            MediaMetadata: boolean;
            MediaQueryList: boolean;
            MediaQueryListEvent: boolean;
            MediaRecorder: boolean;
            MediaSettingsRange: boolean;
            MediaSource: boolean;
            MediaStream: boolean;
            MediaStreamAudioDestinationNode: boolean;
            MediaStreamAudioSourceNode: boolean;
            MediaStreamConstraints: boolean;
            MediaStreamEvent: boolean;
            MediaStreamTrack: boolean;
            MediaStreamTrackEvent: boolean;
            menubar: boolean;
            MessageChannel: boolean;
            MessageEvent: boolean;
            MessagePort: boolean;
            MIDIAccess: boolean;
            MIDIConnectionEvent: boolean;
            MIDIInput: boolean;
            MIDIInputMap: boolean;
            MIDIMessageEvent: boolean;
            MIDIOutput: boolean;
            MIDIOutputMap: boolean;
            MIDIPort: boolean;
            MimeType: boolean;
            MimeTypeArray: boolean;
            MouseEvent: boolean;
            moveBy: boolean;
            moveTo: boolean;
            MutationEvent: boolean;
            MutationObserver: boolean;
            MutationRecord: boolean;
            name: boolean;
            NamedNodeMap: boolean;
            NavigationPreloadManager: boolean;
            navigator: boolean;
            Navigator: boolean;
            NavigatorUAData: boolean;
            NetworkInformation: boolean;
            Node: boolean;
            NodeFilter: boolean;
            NodeIterator: boolean;
            NodeList: boolean;
            Notification: boolean;
            OfflineAudioCompletionEvent: boolean;
            OfflineAudioContext: boolean;
            offscreenBuffering: boolean;
            OffscreenCanvas: boolean;
            OffscreenCanvasRenderingContext2D: boolean;
            onabort: boolean;
            onafterprint: boolean;
            onanimationend: boolean;
            onanimationiteration: boolean;
            onanimationstart: boolean;
            onappinstalled: boolean;
            onauxclick: boolean;
            onbeforeinstallprompt: boolean;
            onbeforeprint: boolean;
            onbeforeunload: boolean;
            onblur: boolean;
            oncancel: boolean;
            oncanplay: boolean;
            oncanplaythrough: boolean;
            onchange: boolean;
            onclick: boolean;
            onclose: boolean;
            oncontextmenu: boolean;
            oncuechange: boolean;
            ondblclick: boolean;
            ondevicemotion: boolean;
            ondeviceorientation: boolean;
            ondeviceorientationabsolute: boolean;
            ondrag: boolean;
            ondragend: boolean;
            ondragenter: boolean;
            ondragleave: boolean;
            ondragover: boolean;
            ondragstart: boolean;
            ondrop: boolean;
            ondurationchange: boolean;
            onemptied: boolean;
            onended: boolean;
            onerror: boolean;
            onfocus: boolean;
            ongotpointercapture: boolean;
            onhashchange: boolean;
            oninput: boolean;
            oninvalid: boolean;
            onkeydown: boolean;
            onkeypress: boolean;
            onkeyup: boolean;
            onlanguagechange: boolean;
            onload: boolean;
            onloadeddata: boolean;
            onloadedmetadata: boolean;
            onloadstart: boolean;
            onlostpointercapture: boolean;
            onmessage: boolean;
            onmessageerror: boolean;
            onmousedown: boolean;
            onmouseenter: boolean;
            onmouseleave: boolean;
            onmousemove: boolean;
            onmouseout: boolean;
            onmouseover: boolean;
            onmouseup: boolean;
            onmousewheel: boolean;
            onoffline: boolean;
            ononline: boolean;
            onpagehide: boolean;
            onpageshow: boolean;
            onpause: boolean;
            onplay: boolean;
            onplaying: boolean;
            onpointercancel: boolean;
            onpointerdown: boolean;
            onpointerenter: boolean;
            onpointerleave: boolean;
            onpointermove: boolean;
            onpointerout: boolean;
            onpointerover: boolean;
            onpointerup: boolean;
            onpopstate: boolean;
            onprogress: boolean;
            onratechange: boolean;
            onrejectionhandled: boolean;
            onreset: boolean;
            onresize: boolean;
            onscroll: boolean;
            onsearch: boolean;
            onseeked: boolean;
            onseeking: boolean;
            onselect: boolean;
            onstalled: boolean;
            onstorage: boolean;
            onsubmit: boolean;
            onsuspend: boolean;
            ontimeupdate: boolean;
            ontoggle: boolean;
            ontransitionend: boolean;
            onunhandledrejection: boolean;
            onunload: boolean;
            onvolumechange: boolean;
            onwaiting: boolean;
            onwheel: boolean;
            open: boolean;
            openDatabase: boolean;
            opener: boolean;
            Option: boolean;
            origin: boolean;
            OscillatorNode: boolean;
            outerHeight: boolean;
            outerWidth: boolean;
            OverconstrainedError: boolean;
            PageTransitionEvent: boolean;
            pageXOffset: boolean;
            pageYOffset: boolean;
            PannerNode: boolean;
            parent: boolean;
            Path2D: boolean;
            PaymentAddress: boolean;
            PaymentRequest: boolean;
            PaymentRequestUpdateEvent: boolean;
            PaymentResponse: boolean;
            performance: boolean;
            Performance: boolean;
            PerformanceEntry: boolean;
            PerformanceLongTaskTiming: boolean;
            PerformanceMark: boolean;
            PerformanceMeasure: boolean;
            PerformanceNavigation: boolean;
            PerformanceNavigationTiming: boolean;
            PerformanceObserver: boolean;
            PerformanceObserverEntryList: boolean;
            PerformancePaintTiming: boolean;
            PerformanceResourceTiming: boolean;
            PerformanceTiming: boolean;
            PeriodicWave: boolean;
            Permissions: boolean;
            PermissionStatus: boolean;
            personalbar: boolean;
            PhotoCapabilities: boolean;
            Plugin: boolean;
            PluginArray: boolean;
            PointerEvent: boolean;
            PopStateEvent: boolean;
            postMessage: boolean;
            Presentation: boolean;
            PresentationAvailability: boolean;
            PresentationConnection: boolean;
            PresentationConnectionAvailableEvent: boolean;
            PresentationConnectionCloseEvent: boolean;
            PresentationConnectionList: boolean;
            PresentationReceiver: boolean;
            PresentationRequest: boolean;
            print: boolean;
            ProcessingInstruction: boolean;
            ProgressEvent: boolean;
            PromiseRejectionEvent: boolean;
            prompt: boolean;
            PushManager: boolean;
            PushSubscription: boolean;
            PushSubscriptionOptions: boolean;
            queueMicrotask: boolean;
            RadioNodeList: boolean;
            Range: boolean;
            ReadableByteStreamController: boolean;
            ReadableStream: boolean;
            ReadableStreamBYOBReader: boolean;
            ReadableStreamBYOBRequest: boolean;
            ReadableStreamDefaultController: boolean;
            ReadableStreamDefaultReader: boolean;
            registerProcessor: boolean;
            RemotePlayback: boolean;
            removeEventListener: boolean;
            reportError: boolean;
            Request: boolean;
            requestAnimationFrame: boolean;
            requestIdleCallback: boolean;
            resizeBy: boolean;
            ResizeObserver: boolean;
            ResizeObserverEntry: boolean;
            resizeTo: boolean;
            Response: boolean;
            RTCCertificate: boolean;
            RTCDataChannel: boolean;
            RTCDataChannelEvent: boolean;
            RTCDtlsTransport: boolean;
            RTCIceCandidate: boolean;
            RTCIceGatherer: boolean;
            RTCIceTransport: boolean;
            RTCPeerConnection: boolean;
            RTCPeerConnectionIceEvent: boolean;
            RTCRtpContributingSource: boolean;
            RTCRtpReceiver: boolean;
            RTCRtpSender: boolean;
            RTCSctpTransport: boolean;
            RTCSessionDescription: boolean;
            RTCStatsReport: boolean;
            RTCTrackEvent: boolean;
            screen: boolean;
            Screen: boolean;
            screenLeft: boolean;
            ScreenOrientation: boolean;
            screenTop: boolean;
            screenX: boolean;
            screenY: boolean;
            ScriptProcessorNode: boolean;
            scroll: boolean;
            scrollbars: boolean;
            scrollBy: boolean;
            scrollTo: boolean;
            scrollX: boolean;
            scrollY: boolean;
            SecurityPolicyViolationEvent: boolean;
            Selection: boolean;
            self: boolean;
            ServiceWorker: boolean;
            ServiceWorkerContainer: boolean;
            ServiceWorkerRegistration: boolean;
            sessionStorage: boolean;
            setInterval: boolean;
            setTimeout: boolean;
            ShadowRoot: boolean;
            SharedWorker: boolean;
            SourceBuffer: boolean;
            SourceBufferList: boolean;
            speechSynthesis: boolean;
            SpeechSynthesisEvent: boolean;
            SpeechSynthesisUtterance: boolean;
            StaticRange: boolean;
            status: boolean;
            statusbar: boolean;
            StereoPannerNode: boolean;
            stop: boolean;
            Storage: boolean;
            StorageEvent: boolean;
            StorageManager: boolean;
            structuredClone: boolean;
            styleMedia: boolean;
            StyleSheet: boolean;
            StyleSheetList: boolean;
            SubmitEvent: boolean;
            SubtleCrypto: boolean;
            SVGAElement: boolean;
            SVGAngle: boolean;
            SVGAnimatedAngle: boolean;
            SVGAnimatedBoolean: boolean;
            SVGAnimatedEnumeration: boolean;
            SVGAnimatedInteger: boolean;
            SVGAnimatedLength: boolean;
            SVGAnimatedLengthList: boolean;
            SVGAnimatedNumber: boolean;
            SVGAnimatedNumberList: boolean;
            SVGAnimatedPreserveAspectRatio: boolean;
            SVGAnimatedRect: boolean;
            SVGAnimatedString: boolean;
            SVGAnimatedTransformList: boolean;
            SVGAnimateElement: boolean;
            SVGAnimateMotionElement: boolean;
            SVGAnimateTransformElement: boolean;
            SVGAnimationElement: boolean;
            SVGCircleElement: boolean;
            SVGClipPathElement: boolean;
            SVGComponentTransferFunctionElement: boolean;
            SVGDefsElement: boolean;
            SVGDescElement: boolean;
            SVGDiscardElement: boolean;
            SVGElement: boolean;
            SVGEllipseElement: boolean;
            SVGFEBlendElement: boolean;
            SVGFEColorMatrixElement: boolean;
            SVGFEComponentTransferElement: boolean;
            SVGFECompositeElement: boolean;
            SVGFEConvolveMatrixElement: boolean;
            SVGFEDiffuseLightingElement: boolean;
            SVGFEDisplacementMapElement: boolean;
            SVGFEDistantLightElement: boolean;
            SVGFEDropShadowElement: boolean;
            SVGFEFloodElement: boolean;
            SVGFEFuncAElement: boolean;
            SVGFEFuncBElement: boolean;
            SVGFEFuncGElement: boolean;
            SVGFEFuncRElement: boolean;
            SVGFEGaussianBlurElement: boolean;
            SVGFEImageElement: boolean;
            SVGFEMergeElement: boolean;
            SVGFEMergeNodeElement: boolean;
            SVGFEMorphologyElement: boolean;
            SVGFEOffsetElement: boolean;
            SVGFEPointLightElement: boolean;
            SVGFESpecularLightingElement: boolean;
            SVGFESpotLightElement: boolean;
            SVGFETileElement: boolean;
            SVGFETurbulenceElement: boolean;
            SVGFilterElement: boolean;
            SVGForeignObjectElement: boolean;
            SVGGElement: boolean;
            SVGGeometryElement: boolean;
            SVGGradientElement: boolean;
            SVGGraphicsElement: boolean;
            SVGImageElement: boolean;
            SVGLength: boolean;
            SVGLengthList: boolean;
            SVGLinearGradientElement: boolean;
            SVGLineElement: boolean;
            SVGMarkerElement: boolean;
            SVGMaskElement: boolean;
            SVGMatrix: boolean;
            SVGMetadataElement: boolean;
            SVGMPathElement: boolean;
            SVGNumber: boolean;
            SVGNumberList: boolean;
            SVGPathElement: boolean;
            SVGPatternElement: boolean;
            SVGPoint: boolean;
            SVGPointList: boolean;
            SVGPolygonElement: boolean;
            SVGPolylineElement: boolean;
            SVGPreserveAspectRatio: boolean;
            SVGRadialGradientElement: boolean;
            SVGRect: boolean;
            SVGRectElement: boolean;
            SVGScriptElement: boolean;
            SVGSetElement: boolean;
            SVGStopElement: boolean;
            SVGStringList: boolean;
            SVGStyleElement: boolean;
            SVGSVGElement: boolean;
            SVGSwitchElement: boolean;
            SVGSymbolElement: boolean;
            SVGTextContentElement: boolean;
            SVGTextElement: boolean;
            SVGTextPathElement: boolean;
            SVGTextPositioningElement: boolean;
            SVGTitleElement: boolean;
            SVGTransform: boolean;
            SVGTransformList: boolean;
            SVGTSpanElement: boolean;
            SVGUnitTypes: boolean;
            SVGUseElement: boolean;
            SVGViewElement: boolean;
            TaskAttributionTiming: boolean;
            Text: boolean;
            TextDecoder: boolean;
            TextDecoderStream: boolean;
            TextEncoder: boolean;
            TextEncoderStream: boolean;
            TextEvent: boolean;
            TextMetrics: boolean;
            TextTrack: boolean;
            TextTrackCue: boolean;
            TextTrackCueList: boolean;
            TextTrackList: boolean;
            TimeRanges: boolean;
            ToggleEvent: boolean;
            toolbar: boolean;
            top: boolean;
            Touch: boolean;
            TouchEvent: boolean;
            TouchList: boolean;
            TrackEvent: boolean;
            TransformStream: boolean;
            TransformStreamDefaultController: boolean;
            TransitionEvent: boolean;
            TreeWalker: boolean;
            UIEvent: boolean;
            URL: boolean;
            URLSearchParams: boolean;
            ValidityState: boolean;
            visualViewport: boolean;
            VisualViewport: boolean;
            VTTCue: boolean;
            WaveShaperNode: boolean;
            WebAssembly: boolean;
            WebGL2RenderingContext: boolean;
            WebGLActiveInfo: boolean;
            WebGLBuffer: boolean;
            WebGLContextEvent: boolean;
            WebGLFramebuffer: boolean;
            WebGLProgram: boolean;
            WebGLQuery: boolean;
            WebGLRenderbuffer: boolean;
            WebGLRenderingContext: boolean;
            WebGLSampler: boolean;
            WebGLShader: boolean;
            WebGLShaderPrecisionFormat: boolean;
            WebGLSync: boolean;
            WebGLTexture: boolean;
            WebGLTransformFeedback: boolean;
            WebGLUniformLocation: boolean;
            WebGLVertexArrayObject: boolean;
            WebSocket: boolean;
            WheelEvent: boolean;
            window: boolean;
            Window: boolean;
            Worker: boolean;
            WritableStream: boolean;
            WritableStreamDefaultController: boolean;
            WritableStreamDefaultWriter: boolean;
            XMLDocument: boolean;
            XMLHttpRequest: boolean;
            XMLHttpRequestEventTarget: boolean;
            XMLHttpRequestUpload: boolean;
            XMLSerializer: boolean;
            XPathEvaluator: boolean;
            XPathExpression: boolean;
            XPathResult: boolean;
            XRAnchor: boolean;
            XRBoundedReferenceSpace: boolean;
            XRCPUDepthInformation: boolean;
            XRDepthInformation: boolean;
            XRFrame: boolean;
            XRInputSource: boolean;
            XRInputSourceArray: boolean;
            XRInputSourceEvent: boolean;
            XRInputSourcesChangeEvent: boolean;
            XRPose: boolean;
            XRReferenceSpace: boolean;
            XRReferenceSpaceEvent: boolean;
            XRRenderState: boolean;
            XRRigidTransform: boolean;
            XRSession: boolean;
            XRSessionEvent: boolean;
            XRSpace: boolean;
            XRSystem: boolean;
            XRView: boolean;
            XRViewerPose: boolean;
            XRViewport: boolean;
            XRWebGLBinding: boolean;
            XRWebGLDepthInformation: boolean;
            XRWebGLLayer: boolean;
            XSLTProcessor: boolean;
        };
        parser: typeof import("@typescript-eslint/parser") | undefined;
        sourceType: string;
        parserOptions: {
            project: null;
            parser?: undefined;
            extraFileExtensions?: undefined;
        };
    };
    rules: {
        "prettier/prettier": string;
    };
    plugins?: undefined;
    processor?: undefined;
} | {
    rules: {};
})[];
export default _default;
