import type { RuleModule } from "./types";
import * as meta from "./meta";
import type { Linter } from "eslint";
declare const _default: {
    meta: typeof meta;
    configs: {
        base: Linter.Config<Linter.RulesRecord, Linter.RulesRecord>;
        recommended: Linter.Config<Linter.RulesRecord, Linter.RulesRecord>;
        all: Linter.Config<Linter.RulesRecord, Linter.RulesRecord>;
        "flat/base": Linter.FlatConfig[];
        "flat/recommended": Linter.FlatConfig[];
        "flat/all": Linter.FlatConfig[];
    };
    rules: {
        [key: string]: RuleModule;
    };
    processors: {
        ".astro": Linter.Processor<string | Linter.ProcessorFile>;
        astro: Linter.Processor<string | Linter.ProcessorFile>;
        "client-side-ts": Linter.Processor<string | Linter.ProcessorFile>;
    };
    environments: {
        astro: {
            globals: {
                Astro: boolean;
                Fragment: boolean;
            };
        };
    };
};
export = _default;
